Bill Amendments

The endpoint for Amendments within the Bills dataset, including all legislation available to your Quorum account.

Retrieve multiple Amendments based on search critera passed as GET Arguments

get/newamendment/
Securityapi_key and username
Request
query Parameters
actions
string

String-encoded JSON Object. This field requires special handling.

amendment_type
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
amendment_type__in - The value for the record is in the provided array parameter (comma-separated values).

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name AmendmentType, for an explanation of values.

Enum: 1 2
bill_id
integer <int64>

The newbill with which this amendment is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
bill__in - The value for the record is in the provided array parameter (comma-separated values).
bill__isnull - The value for the record is null (if true) or is not null.

congress_id
integer <int64>

The None with which this amendment is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
congress__in - The value for the record is in the provided array parameter (comma-separated values).

congress_number
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
congress_number__in - The value for the record is in the provided array parameter (comma-separated values).
congress_number__gt, congress_number__gte, congress_number__lt, congress_number__lte - The value for the record is greater than/less than (or equal to) the provided parameter.
congress_number__isnull - The value for the record is null (if true) or is not null.

created
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
created__year, created__month, created__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

description
string

NOTE: Parameter accepts additional qualifiers appended to the end:
description__in - The value for the record is in the provided array parameter (comma-separated values).
description__contains, description__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
description__startswith, description__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
description__endswith, description__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
description__iexact - The value for the record is a case-insensitive exact match to the provided parameter.
description__isnull - The value for the record is null (if true) or is not null.

dms_id
string

NOTE: Parameter accepts additional qualifiers appended to the end:
dms_id__in - The value for the record is in the provided array parameter (comma-separated values).
dms_id__contains, dms_id__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
dms_id__startswith, dms_id__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
dms_id__endswith, dms_id__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
dms_id__iexact - The value for the record is a case-insensitive exact match to the provided parameter.
dms_id__isnull - The value for the record is null (if true) or is not null.

id
integer <int64>

Quorum ID (Primary Key)

num_cosponsors
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
num_cosponsors__in - The value for the record is in the provided array parameter (comma-separated values).
num_cosponsors__gt, num_cosponsors__gte, num_cosponsors__lt, num_cosponsors__lte - The value for the record is greater than/less than (or equal to) the provided parameter.

number
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
number__in - The value for the record is in the provided array parameter (comma-separated values).
number__gt, number__gte, number__lt, number__lte - The value for the record is greater than/less than (or equal to) the provided parameter.
number__isnull - The value for the record is null (if true) or is not null.

offered_date
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
offered_date__year, offered_date__month, offered_date__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

primary_party
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
primary_party__in - The value for the record is in the provided array parameter (comma-separated values).
primary_party__isnull - The value for the record is null (if true) or is not null.

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name Party, for an explanation of values.

Enum: 0 1 2 3 4 5 6 7 8 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24
region
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
region__in - The value for the record is in the provided array parameter (comma-separated values).

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name Region, for an explanation of values.

Enum: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 1000
rules_number
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
rules_number__in - The value for the record is in the provided array parameter (comma-separated values).
rules_number__gt, rules_number__gte, rules_number__lt, rules_number__lte - The value for the record is greater than/less than (or equal to) the provided parameter.
rules_number__isnull - The value for the record is null (if true) or is not null.

rules_status
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
rules_status__in - The value for the record is in the provided array parameter (comma-separated values).
rules_status__isnull - The value for the record is null (if true) or is not null.

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name AmendmentRulesStatus, for an explanation of values.

Enum: 1 2 3 4 5
sequence
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
sequence__in - The value for the record is in the provided array parameter (comma-separated values).
sequence__gt, sequence__gte, sequence__lt, sequence__lte - The value for the record is greater than/less than (or equal to) the provided parameter.
sequence__isnull - The value for the record is null (if true) or is not null.

session_id
integer <int64>

The legsession with which this amendment is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
session__in - The value for the record is in the provided array parameter (comma-separated values).
session__isnull - The value for the record is null (if true) or is not null.

source
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
source__in - The value for the record is in the provided array parameter (comma-separated values).

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name AmendmentSource, for an explanation of values.

Enum: 1 2 3
sponsors
Array of integers <int64>

The newsponsors that are associated with this amendment.

NOTE: Parameter accepts additional qualifiers appended to the end:
sponsors__overlaps - The value for the record has one or more values in common with the provided array parameter (comma-separated values).

status
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
status__in - The value for the record is in the provided array parameter (comma-separated values).

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name AmendmentStatus, for an explanation of values.

Enum: 1 2 3 4
status_date
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
status_date__year, status_date__month, status_date__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

title
string

NOTE: Parameter accepts additional qualifiers appended to the end:
title__in - The value for the record is in the provided array parameter (comma-separated values).
title__contains, title__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
title__startswith, title__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
title__endswith, title__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
title__iexact - The value for the record is a case-insensitive exact match to the provided parameter.

updated
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
updated__year, updated__month, updated__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

dehydrate
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.
actions - expand actions with additional details.
current_pdf_url - expand current_pdf_url with additional details.
resource_uri - expand resource_uri with additional details.
snippets - expand snippets with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Enum: "actions" "current_pdf_url" "resource_uri" "snippets"
advanced_search
string

Perform an advanced text search on the datset with the provided text. This search will use the most comprehensive search method available on the requested endpoint, but can take slightly longer to return results.

quick_search
string

Perform an quick text search on the datset with the provided text. This search method may, depending on the endpoint, be exactly identical to advanced search, or may return results significantly more quickly but with less completeness or accuracy, for example by searching less fields, or using a faster algorithm to identify matches that has a greater propensity for false positives/false negatives.

limit
integer <int64>
Default: 20

The number of records to return (for pagination).

offset
integer <int64>
Default: 0

The number of records to offset the start of the data being returned (for pagination).

Responses
200

NewAmendment retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "alert_cache": { },
  • "amendment_type": 1,
  • "bill": "/api/newbill/1/",
  • "congress_number": 0,
  • "created": "2019-08-24T14:15:22Z",
  • "current_pdf_url": "string",
  • "description": "",
  • "dms_id": "string",
  • "fts_strip_level": 0,
  • "house_number": 0,
  • "id": 0,
  • "label": "string",
  • "last_action_text": "string",
  • "num_cosponsors": 0,
  • "number": 0,
  • "offered_date": "2019-08-24T14:15:22Z",
  • "primary_party": 0,
  • "region": 1,
  • "resource_uri": "string",
  • "rules_number": 0,
  • "rules_status": 1,
  • "snippets": [
    ],
  • "source": 1,
  • "sponsors": [
    ],
  • "status": 1,
  • "status_date": "2019-08-24T14:15:22Z",
  • "text": "string",
  • "texts": [
    ],
  • "title": "string",
  • "updated": "2019-08-24T14:15:22Z",
  • "word_count": 0
}

Retrieve information on a single Amendment

get/newamendment/{id}/
Securityapi_key and username
Request
path Parameters
id
required
integer <int64>

Quorum ID (Primary Key)

query Parameters
dehydrate
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.
actions - expand actions with additional details.
current_pdf_url - expand current_pdf_url with additional details.
resource_uri - expand resource_uri with additional details.
snippets - expand snippets with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Enum: "actions" "current_pdf_url" "resource_uri" "snippets"
Responses
200

NewAmendment retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "alert_cache": { },
  • "amendment_type": 1,
  • "bill": "/api/newbill/1/",
  • "congress_number": 0,
  • "created": "2019-08-24T14:15:22Z",
  • "current_pdf_url": "string",
  • "description": "",
  • "dms_id": "string",
  • "fts_strip_level": 0,
  • "house_number": 0,
  • "id": 0,
  • "label": "string",
  • "last_action_text": "string",
  • "num_cosponsors": 0,
  • "number": 0,
  • "offered_date": "2019-08-24T14:15:22Z",
  • "primary_party": 0,
  • "region": 1,
  • "resource_uri": "string",
  • "rules_number": 0,
  • "rules_status": 1,
  • "snippets": [
    ],
  • "source": 1,
  • "sponsors": [
    ],
  • "status": 1,
  • "status_date": "2019-08-24T14:15:22Z",
  • "text": "string",
  • "texts": [
    ],
  • "title": "string",
  • "updated": "2019-08-24T14:15:22Z",
  • "word_count": 0
}